package com.simonstl.moe.adapter;

import com.simonstl.moe.*;
import org.xml.sax.*;

/*
The contents of this file are subject to the Mozilla Public License  Version 1.1 (the "License"); you may not use this file except in  compliance with the License. You may obtain a copy of the License at 
http://www.mozilla.org/MPL/ 
Software distributed under the License is distributed on an "AS IS"  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  License for the specific language governing rights and limitations under  the License. 

The Original Code is available at  http://simonstl.com/projects/fragment/original. 

The Initial Developer of the Original Code is Simon St.Laurent. Portions  created by Simon St.Laurent are Copyright (C) 2001. All Rights Reserved. 

Contributor(s): 
*/

/**
* <p>The MOESAXA adapter class presents a MOE object as SAX events.</p>
*
* <p>version 0.01 is the initial release.</p>
*
* @version 0.01 20 September 2001
* @author Simon St.Laurent
**/

public class MOESAXA implements XMLReader {

protected ContentHandler contentHandler=null;
protected DTDHandler dTDHandler=null;
protected ErrorHandler errorHandler=null;
protected EntityResolver entityResolver=null;

public ContentHandler getContentHandler(){
  return contentHandler;
}

public DTDHandler getDTDHandler() {
  return dTDHandler;
}

public EntityResolver getEntityResolver() {
   return entityResolver;
}

public ErrorHandler getErrorHandler(){
   return errorHandler;
}

public boolean getFeature(String name){
  return false;
} 

public Object getProperty(String name){
   return null;
}

public void parse (InputSource input) {
  parse();
}

public void parse (String systemId) {
  parse();
}

public void setContentHandler(ContentHandler handler){

}

public void setDTDHandler(DTDHandler handler){

}


public void setEntityResolver(EntityResolver resolver){

}

public void setErrorHandler(ErrorHandler handler) {

}

public void setFeature(String name, boolean value){

}

public void setProperty(String name, java.lang.Object value){

}

public void parse(){

}

}