package com.simonstl.moe.test;

import org.xml.sax.SAXException;
import org.xml.sax.helpers.XMLFilterImpl;
import com.simonstl.moe.*;
import com.simonstl.moe.explicit.*;


/*
The contents of this file are subject to the Mozilla Public License  Version 1.1 (the "License"); you may not use this file except in  compliance with the License. You may obtain a copy of the License at 
http://www.mozilla.org/MPL/ 
Software distributed under the License is distributed on an "AS IS"  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  License for the specific language governing rights and limitations under  the License. 

The Original Code is available at  http://simonstl.com/projects/fragment/original. 

The Initial Developer of the Original Code is Simon St.Laurent. Portions created by Simon St.Laurent are Copyright (C) 2001. All Rights Reserved. 

Contributor(s): 
*/

/**
* <p>The ComponentInputPrint class just prints out MOE objects as it receives them.</p>
*
* <p>version 0.01 is the initial release.</p>
*
* @version 0.01 27 August 2001
* @author Simon St.Laurent
**/

public class ComponentInputPrint implements ComponentInputI{

/**
* listen() prints components passed to it by component creators, and always returns true.
**/

public boolean listen(CoreComponentI component){
  System.out.print(component.toString());
  return true;
}

}